Ticket #35006

BrailleNote 46C/46D でタッチカーソルを押すとエラーになる

Open Date: 2015-03-23 16:56 Last Update: 2015-06-03 21:50

Reporter: nishimoto Owner: nishimoto
Type: Bugs Status: Closed
Component: 点字ディスプレイ MileStone: 2015.2jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Remind

Details

2015.1jp を点字ディスプレイドライバー BrailleNote 46C/46D で使い、 点字ディスプレイのタッチカーソルを押すとエラーになるという報告がありました。

こちらで確認した組み合わせは

  • 機器 BMS40
  • NVDA のドライバー選択 BrailleNote 46C/46D
  • ポート USB: KGS BM-SMART USB Seriual (COM6) 数字は環境によって異なる
  • Windows 7 32ビットおよび64ビットの両方で再現
  • BMユーティリティ 6.2.2 インストール済み

なので、実際に BrailleNote 46C/46D をお使いのかたにご確認いただけると助かります。

こちらで確認できたのは下記のようなエラーです。

ERROR - unhandled exception (16:47:28):
Traceback (most recent call last):
  File "_ctypes/callbacks.c", line 314, in 'calling callback function'
  File "brailleDisplayDrivers\kgsbn46.pyo", line 114, in nvdaKgsHandleKeyInfoProc
  File "inputCore.pyo", line 447, in executeGesture
NoInputGestureAction

なお接続時に下記のように(BMスマート40であるにもかかわらず)46セルだと NVDA が認識している理由は未確認ですが、 BMSのエミュレーションの仕様かも知れません。

INFO - braille.BrailleHandler.setDisplayByName (16:47:18):
Loaded braille display driver kgsbn46, current display has 46 cells.

Attachment File List

No attachments

Ticket History (3/7 Histories)

2015-03-23 16:56 Updated by: nishimoto
  • New Ticket "BrailleNote 46C/46D でタッチカーソルを押すとえらーになる" created
2015-03-23 16:56 Updated by: nishimoto
  • Summary Updated
2015-03-23 16:58 Updated by: nishimoto
  • Details Updated
2015-03-23 17:07 Updated by: nishimoto
Comment

上記について、ログレベルをデバッグにして確認した情報。

route 3 を押しているだけのはずなのに func1+func2+func3+func4 も同時に押されたことになっていて、 対応する処理がないのでエラーになっている。

DEBUG - brailleDisplayDrivers.kgsbn46.BrailleDisplayDriver.display (17:01:30):
bmDisplayData 1
DEBUG - brailleDisplayDrivers.kgsbn46.BrailleDisplayDriver.display (17:01:31):
bmDisplayData 1
DEBUG - brailleDisplayDrivers.kgsbn46.BrailleDisplayDriver.display (17:01:31):
bmDisplayData 1
DEBUG - brailleDisplayDrivers.kgsbn46.BrailleDisplayDriver.display (17:01:32):
bmDisplayData 1
DEBUG - brailleDisplayDrivers.kgsbn46.BrailleDisplayDriver.display (17:01:32):
bmDisplayData 1
IO - brailleDisplayDrivers.kgsbn46.nvdaKgsHandleKeyInfoProc (17:01:32):
keyInfo 240 4 0
IO - brailleDisplayDrivers.kgsbn46.nvdaKgsHandleKeyInfoProc (17:01:32):
keyInfo hex f0 4 0
IO - brailleDisplayDrivers.kgsbn46.nvdaKgsHandleKeyInfoProc (17:01:32):
names func3+func2+func1+route+func4 3
IO - inputCore.InputManager.executeGesture (17:01:32):
Input: br(kgsbn46):func3+func2+func1+route+func4
ERROR - unhandled exception (17:01:32):
Traceback (most recent call last):
  File "_ctypes/callbacks.c", line 314, in 'calling callback function'
  File "brailleDisplayDrivers\kgsbn46.pyo", line 114, in nvdaKgsHandleKeyInfoProc
  File "inputCore.pyo", line 447, in executeGesture
NoInputGestureAction
2015-03-23 18:35 Updated by: nishimoto
  • Milestone Update from (None) to 2015.2jp (closed)
  • Resolution Update from None to Fixed
Comment

kgsbn ブランチの作業

[kgsbn 0ed1c71] kgsbn work in progress. ti35006
 2 files changed, 11 insertions(+), 30 deletions(-)

To git@github.com:nvdajp/nvdajp.git
 * [new branch]      kgsbn -> kgsbn

ついでに processEvents 処理の改善を実施。

2015-04-01 16:50 Updated by: nishimoto
  • Resolution Update from Fixed to Remind
Comment

このチケットの作業「ついでに processEvents 処理の改善を実施」の影響で、 自動接続の処理中にもういちど点字設定の OK ボタンが押せる (自動接続の処理を重複して実行できてしまう) 状況になっている。

2015-06-03 21:50 Updated by: nishimoto
  • Ticket Close date is changed to 2015-06-03 21:50
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login